// import button from './Button/button.vue'
//扫描当前文件夹下所有的.vue 文件
const requireComponent = require.context('./', true, /\.vue$/);
let plugins = {
    install:function(Vue){
        if(this.install.installed) return this.install.installed;
        requireComponent.keys().map( component =>{
            const config = requireComponent(component);
            const componentName = config.default.name;
            Vue.component(componentName, config.default || config);
        })
    }
}
export default plugins